RubyGems Navigation menu

axe-matchers 2.6.1

axe-matchers provides matchers that wrap the axe-core accessibility library. The matchers can be used with RSpec, Cucumber and other test tools. Cucumber step definitions are also provided.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 2.6.1 - March 13, 2020 (141 KB)
  2. 2.6.0 - February 19, 2020 (141 KB)
  3. 2.6.0.pre.132f05a - May 28, 2020 (141 KB)
  4. 2.6.0.pre.07feec1 - February 24, 2020 (141 KB)
  5. 2.6.0.pre.fe2d0d1 - June 05, 2020 (141 KB)
Show all versions (46 total)

Runtime Dependencies (2):

virtus ~> 1.0

Development Dependencies (12):

bundler ~> 1.16
capybara ~> 3.29
capybara-webkit ~> 1.14
cucumber ~> 2.4
pry >= 0
rake ~> 12.0
rspec ~> 3.6
rspec-its ~> 1.2
sinatra ~> 2.0
watir ~> 6.6

Requirements:

A WebDriver of some sort. e.g Capybara, Selenium or Watir

Owners:

Pushed by:

Authors:

  • Deque Systems, Test Double

SHA 256 checksum:

4b5f34cc5fa99c8d11ea395de07e2b2ccc88692e7b7893922dd19226ec68c7c2

Total downloads 3,964,637

For this version 1,271,264

License:

MPL-2.0

Required Ruby Version: >= 1.9.3

Required Rubygems Version: >= 1.3.6

Links: